Summary: A development tool for checking the correctness of RPM packages.
Name: rpmlint
Version: 0.28
Release: 2p
Source0: http://www.lepied.com/rpmlint/src/%{name}-%{version}.tar.bz2
Patch1: rpmlint-%{version}-rh.patch
Patch2: rpmlint-post.patch
URL: http://www.lepied.com/rpmlint/
Copyright: GPL
Group: Development/System
Prefix: %{_prefix}
Requires: python >= 1.5.2, rpm-python, binutils, file, findutils, cpio
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-root

%description
The rpmlint tool can check for common errors in RPM packages.  Only
binary packages are supported at the present time.

%prep
%setup -q
%patch1 -p 1 -b .rh
%patch2 -p1 -b .post

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc COPYING ChangeLog INSTALL README 
%{_bindir}/*
%{_datadir}/rpmlint
%config /etc/rpmlint/config

%changelog
* Fri Feb 23 2001 Bill Nottingham <notting@redhat.com>
- fix broken check of %post ldconfig stuff (#29156)

* Thu Feb  1 2001 Bill Nottingham <notting@redhat.com>
- fix PowerTools, app CD (#13673, #20529)
- don't look for info pages in the wrong places (#14910)
- ignore bogus old-menu-entry errors (#16552)
- don't complain about libc not being linked against libc (#16721)

* Fri Nov 17 2000 Matt Wilson <msw@redhat.com>
- 0.27, fixed configuration for packager and distribution

* Mon Oct 16 2000 Jeff Johnson <jbj@redhat.com>
- update to 0.25.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Jeff Johnson <jbj@redhat.com>
- rebuild against rpm-4.0-0.40.

* Wed May 17 2000 Preston Brown <pbrown@redhat.com>
- turn on FHS checks

* Sat May 13 2000 Jeff Johnson <jbj@redhat.com>
- update to 0.14.

* Wed Mar  1 2000 Bill Nottingham <notting@redhat.com>
- fixes for new rpm-python module

* Wed Feb 23 2000 Bill Nottingham <notting@redhat.com>
- require rpm-python

* Tue Feb 22 2000 Bill Nottingham <notting@redhat.com>
- yet more default config munging
- fix handling of packages with only one dirindex

* Thu Feb 10 2000 Bill Nottingham <notting@redhat.com>
- more default config munging
- fix typo for postgres uid

* Wed Feb  9 2000 Bill Nottingham <notting@redhat.com>
- more default config munging

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- more default config munging

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- modifications for default config, add RedHatCheck

* Mon Jan 10 2000 Jeff Johnson <jbj@redhat.com>
- update to 0.8.

* Wed Dec 22 1999 Jeff Johnson <jbj@redhat.com>
- create from Mandrake package.

* Mon Nov 15 1999 Frederic Lepied <flepied@mandrakesoft.com>
- 0.7: more robust cleanup, filters are regexp now and added
exception for /var/catman subirs beeing setgid.

* Sat Oct 23 1999 Frederic Lepied <flepied@mandrakesoft.com>
- 0.6.1: corrected compilation step.

* Sat Oct 23 1999 Frederic Lepied <flepied@mandrakesoft.com>
- 0.6: filter output, documentation checks.

* Fri Oct 15 1999 Frederic Lepied <flepied@mandrakesoft.com>
- 0.5: FHS check, configuration files.

* Fri Oct  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add Doc.

* Thu Oct  7 1999 Frederic Lepied <flepied@mandrakesoft.com>
- version 0.4: pgp check and group name check.

* Wed Oct  6 1999 Frederic Lepied <flepied@mandrakesoft.com>
- version 0.3.

* Mon Oct  4 1999 Frederic Lepied <flepied@mandrakesoft.com>
- version 0.2.

* Fri Oct  1 1999 Frederic Lepied <flepied@mandrakesoft.com>
- First spec file for Mandrake distribution.
